package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkUserClassDto;
import com.qmth.teachcloud.mark.entity.MarkUserClass;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 评卷员班级 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkUserClassService extends IService<MarkUserClass> {

    void deleteByExamIdAndPaperNumber(Long examId, String paperNumber);

    List<MarkUserClassDto> listMarkUserClassByExamIdAndPaperNumber(Long examId, String paperNumber);
}
