package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkUserClassDto;
import com.qmth.teachcloud.common.entity.MarkStudent;
import com.qmth.teachcloud.common.service.MarkStudentService;
import com.qmth.teachcloud.mark.entity.MarkUserClass;
import com.qmth.teachcloud.mark.mapper.MarkUserClassMapper;
import com.qmth.teachcloud.mark.service.MarkUserClassService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 评卷员班级 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class MarkUserClassServiceImpl extends ServiceImpl<MarkUserClassMapper, MarkUserClass> implements MarkUserClassService {

    @Resource
    MarkStudentService markStudentService;

    @Override
    public void deleteByExamIdAndPaperNumber(Long examId, String paperNumber) {
        UpdateWrapper<MarkUserClass> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(MarkUserClass::getExamId, examId)
                .eq(MarkUserClass::getPaperNumber, paperNumber);
        this.remove(updateWrapper);
    }

    @Override
    public List<MarkUserClassDto> listMarkUserClassByExamIdAndPaperNumber(Long examId, String paperNumber) {
        // 课程下所有班级数据
//        List<String> paperNumberClassList =

        return null;
    }
}
